Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.crmf
Class CertId

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.crmf.CertId

All Implemented Interfaces:
  DEREncodable

    public class CertId

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static CertId` `getInstance(ASN1TaggedObject obj, boolean isExplicit)`
`static CertId` `getInstance(java.lang.Object o)`
`GeneralName` `getIssuer()`
`DERInteger` `getSerialNumber()`
`DERObject` `toASN1Object()` CertId ::= SEQUENCE { issuer GeneralName, serialNumber INTEGER }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CertId getInstance(java.lang.Object o)

### getInstance

    public static CertId getInstance(ASN1TaggedObject obj,
                                     boolean isExplicit)

### getIssuer

    public GeneralName getIssuer()

### getSerialNumber

    public DERInteger getSerialNumber()

### toASN1Object

    public DERObject toASN1Object()

       CertId ::= SEQUENCE {
                       issuer           GeneralName,
                       serialNumber     INTEGER }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45